Subject: Re: [PATCH iproute2-next v2 2/2] tc: implement support for terse dump

From: Vlad Buslov <[email-masked]>
Date: Thu, 08 Oct 2020 18:34:17 +0300

On Thu 08 Oct 2020 at 15:58, Jamal Hadi Salim <[email-masked]> wrote:
> On 2020-10-07 9:40 p.m., David Ahern wrote:
>> On 9/30/20 9:59 AM, Vlad Buslov wrote:
>>> From: Vlad Buslov <[email-masked]>
>>>
>>> Implement support for classifier/action terse dump using new TCA_DUMP_FLAGS
>>> tlv with only available flag value TCA_DUMP_FLAGS_TERSE. Set the flag when
>>> user requested it with following example CLI (-br for 'brief'):
>>>
>>>> tc -s -br filter show dev ens1f0 ingress
>>>
>>> In terse mode dump only outputs essential data needed to identify the
>>> filter and action (handle, cookie, etc.) and stats, if requested by the
>>> user. The intention is to significantly improve rule dump rate by omitting
>>> all static data that do not change after rule is created.
>>>
>>
>> I really want to get agreement from other heavy tc users about what the
>> right information is for a brief mode.
>
> Vlad, would have been helpful in your commit log to show both
> terse vs no terse (or at least the terse output). Cant tell short
> of patching and testing. Having said that:
> The differentiation via TCA_DUMP_FLAGS_TERSE in the request
> is in my opinion sufficient to accept the patch.
> Also, assuming you have tested with outstanding tc tests for the
> first patch i think it looks reasoan

Hi Jamal,

The existing terse dump tdc tests will have to be changed according with
new iproute2 tc syntax for brief(terse) output.

Regards,
Vlad